import UIKit

class SensorHubMovementSensor: SensorHubSensor
{
    // MARK: Variables
    var xVals: [Int16] = []
    var yVals: [Int16] = []
    var zVals: [Int16] = []

    func addSensorValueMovement(val: [Int16])
    {
        if(xVals.count == maxSamples)
        {
            xVals.remove(at: 0)
            yVals.remove(at: 0)
            zVals.remove(at: 0)
        }
        
        xVals.append(val[0])
        yVals.append(val[1])
        zVals.append(val[2])
    }
    
    func getFormatedLatestReadingMovement() -> String
    {
        if(xVals.isEmpty)
        {
            return ""
        }
        
        let ii = xVals.count - 1
        
        return "X: " + String(xVals[ii]) + "\nY: " + String(yVals[ii]) +
                "\nZ: " + String(zVals[ii])
    }
    
}
